


import java.util.Stack;

import java.awt.*;

public class Kasten {
	private Stack<Ebene> stack = new Stack<Ebene>();
	String bez;
	private int x=0;
	private int y=0;
	private int width=0;  // beide Richtungen
	private int height=0;  
	private Color color1=Color.BLACK;
	private Color color2=Color.BLACK;

	public void addEbene(Ebene ebene) {
		stack.push(ebene);
	}

	public Ebene removeEbene() {
		return stack.pop();
	}
	
	// x/y ist der Mittelpunkt auf der unteren Linie des Kastens 
	public Kasten(String bez, int x, int y, int width, int height, Color color1, Color color2) {
		this.bez=bez;
		this.x=x;
		this.y=y;
		this.width=width;
		this.height=height;
                this.color1 = color1;
                this.color2 = color2;
	}
	
	public static int random(int min, int max) {
		return (int) (Math.random()*(max-min)+min);
	}
	
	
	public void draw(Graphics g) {
          g.setColor(Color.BLACK);
          //g.noFill();
          g.drawRect(x-width/2,y-height,width,height);

          FontMetrics fontMetrics = g.getFontMetrics( g.getFont()  );
          int breite = fontMetrics.stringWidth(bez);
          g.setColor(color1);
          g.drawString(bez, x-(breite>>1), y+20);
          
          Ebene e;
          int yEbene=y;
          Color color=color1;
          for (int i=0; i<stack.size(); i++) {
            e = stack.get(i);
            if (i%2==0)
              color=color1;
            else
              color=color2;
            e.draw(g, color, x, yEbene);
            yEbene-=e.getHeight()+10;
          }
	}
	
	public String getBez() {
		return bez;
	}
	
        public Color getColor1() {
          return color1;
        }
        public Color getColor2() {
          return color2;
        }
        
        
        public int getX() {
          return x;
        }
        public int getY() {
          return y;
        }
        public int getWidth() {
          return width;
        }
        public int getHeight() {
          return height;
        }
	
	
	
}
